<meta charset='UTF-8'/>
<head>
<title>one more equal than other</title>
<link rel='stylesheet' href='testSite.css'/>
</head>
<body onload='mySetup()'>
<script>
var myListOut=['89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89','89'];
var clickcount1=0;
var clickcount2=0;
var clickcount3=0;
var binPos=99;
var numberRounds=45;
var totalNumberOfImgs=168;
var lisOfUsers=['mjmd','jpsm'];
var givenName='noone';
if(typeof(Storage)!=='undefined'){
if (localStorage.myCurrentId){
var givenName=localStorage.myCurrentId;
}
}
else{
alert('Sorry, your browser does not support web storage...');
}

var knownUser=false;

function startCounters(){
if(typeof(Storage)!=='undefined'){
if (localStorage.clickcount1){
}
else{
localStorage.clickcount1=0;
}
if (localStorage.clickcount2){
}
else{
localStorage.clickcount2=0;
}
if (localStorage.clickcount3){
}
else{
localStorage.clickcount3=0;
}
if (localStorage.binPos){
localStorage.binPos=binPos;
}
else{
localStorage.binPos=binPos;
}
if (localStorage.numberRounds){
localStorage.numberRounds=numberRounds;
}
else{
localStorage.numberRounds=numberRounds;
}
if (localStorage.totalNumberOfImgs){
localStorage.totalNumberOfImgs=totalNumberOfImgs;
}
else{
localStorage.totalNumberOfImgs=totalNumberOfImgs;
}
if (localStorage.myListOut){
alert('welcome back');
myListOut=localStorage.myListOut.split(',');
}
else{
localStorage.myListOut=myListOut;
}
}
else{
alert('Sorry, your browser does not support web storage...');
}

}

function getMyListOut(){
if(knownUser){
return localStorage.myListOut;
}
else{
return myListOut;
}
}

function setMyListOutPos(aIndex,aPosValue){
if(knownUser){
myListOut[Number(aIndex)]=String(aPosValue);
localStorage.myListOut=myListOut;
}
else{
myListOut[aIndex]=aPosValue;
}
}

function getBinPos(){
if(knownUser){
return Number(localStorage.binPos);
}
else{
return Number(binPos);
}
}

function getNumberRounds(){
if(knownUser){
return Number(localStorage.numberRounds);
}
else{
return Number(numberRounds);
}
}

function setBinPos(aNumber){
if(knownUser){
localStorage.binPos=aNumber;
}
else{
binPos=aNumber;
}
}

function setNumberRounds(aNumber){
if(knownUser){
localStorage.numberRounds=aNumber;
}
else{
numberRounds=aNumber;
}
}

function getClickCount(){
return Number(getClickCount1()+getClickCount2()+getClickCount3());
}

function getClickCount1(){
if(knownUser){
return Number(localStorage.clickcount1);
}
else{
return Number(clickcount1);
}
}

function getClickCount2(){
if(knownUser){
return Number(localStorage.clickcount2);
}
else{
return Number(clickcount2);
}
}

function getClickCount3(){
if(knownUser){
return Number(localStorage.clickcount3);
}
else{
return Number(clickcount3);
}
}

function setClickCount1(aNumber){
if(knownUser){
localStorage.clickcount1=aNumber;
}
else{
clickcount1=aNumber;
}
}

function setClickCount2(aNumber){
if(knownUser){
localStorage.clickcount2=aNumber;
}
else{
clickcount2=aNumber;
}
}

function setClickCount3(aNumber){
if(knownUser){
localStorage.clickcount3=aNumber;
}
else{
clickcount3=aNumber;
}
}

function getNumberOfImgs(){
if(knownUser){
return Number(localStorage.totalNumberOfImgs);
}
else{
return Number(totalNumberOfImgs);
}
}

function enrollanswer(){
setMyListOutPos(getClickCount()-1,Number(getBinPos()));
}

function download(filename,text){
var pom=document.createElement('a');
pom.setAttribute('href','data:text/plain;charset=utf-8,'+encodeURIComponent(text));
pom.setAttribute('download',filename);
if(document.createEvent){
var event=document.createEvent('MouseEvents');
event.initEvent('click',true,true);
pom.dispatchEvent(event);
}
else{
pom.click();
}
}

function addZero(x,n){
while(x.toString().length<n){
x='0'+x;
}
return x;
}

function getMyId(){
var d=new Date();
var yy=d.getFullYear();
var mm=d.getMonth();
var dd=d.getDate();
var h=addZero(d.getHours(),2);
var m=addZero(d.getMinutes(),2);
var s=addZero(d.getSeconds(),2);
var ms=addZero(d.getMilliseconds(),3);
return yy+''+mm+''+dd+''+h+''+m+''+s+''+ms;
}

function resetFilestorage(){
setClickCount1(0);
setClickCount2(0);
setClickCount3(0);
}

function updateBar(){
var myWith=Math.round(100*Number(getClickCount()/getNumberOfImgs()));
document.getElementById('myBar').style.width=myWith+'%';document.getElementById('myBar').innerHTML=myWith*1+'%';
}

var myListOrder=['3','1','2','2','3','4','6','1','5','6','4','5','5','2','2','5','6','3','5','6','2','4','6','2','6','5','1','4','6','1','5','5','3','3','6','4','1','2','1','6','4','1','2','6','6','6','6','2','1','6','2','2','5','2','6','1','4','1','4','6','6','4','4','6','4','1','4','3','5','3','2','4','1','5','2','3','4','3','5','3','6','5','3','6','6','3','3','1','4','4','1','3','3','4','2','2','3','3','2','4','6','6','2','3','5','4','1','1','3','3','2','5','1','1','6','4','1','4','5','5','3','1','6','2','5','2','5','4','2','1','1','1','4','2','4','1','6','5','3','3','3','6','6','4','4','2','2','5','5','1','2','1','5','2','3','2','4','6','3','6','3','1','6','6','4','5','3','2'];
var myImgOrder=['44','45','5','16','19','45','55','21','22','23','16','9','52','25','9','29','51','52','18','45','14','11','17','38','27','19','28','15','43','24','2','26','5','20','39','7','30','51','8','3','49','3','7','8','54','50','48','42','37','5','15','18','42','43','46','48','1','2','24','0','12','10','39','47','2','44','31','13','6','48','10','0','35','20','47','34','47','35','34','8','28','14','26','16','1','51','33','19','43','6','54','50','9','18','39','55','4','21','22','46','24','7','1','25','11','54','13','23','53','55','46','35','41','17','25','38','34','3','37','53','14','4','36','11','21','32','13','12','20','33','27','52','28','31','22','12','30','10','42','27','17','33','32','29','37','26','36','44','31','40','29','0','41','53','32','50','40','40','23','49','36','6','15','4','30','38','41','49'];

function getImgIndexN(index){
if(Number(myImgOrder[index])<getNumberRounds()){
return Number(myImgOrder[index])
}
else{
return Number(myImgOrder[index])-Number(getNumberRounds())
}
}

function firstPair(index){
switch(Number(myListOrder[index])){
case 1:
return myImgs0001[getImgIndexN(index)];
break;
case 2:
return myImgs0000[getImgIndexN(index)];
break;
case 3:
return myImgs0002[getImgIndexN(index)];
break;
case 4:
return myImgs0000[getImgIndexN(index)];
break;
case 5:
return myImgs0002[getImgIndexN(index)];
break;
case 6:
return myImgs0001[getImgIndexN(index)];
break;
}
}

function seconPair(index){
switch(Number(myListOrder[index])){
case 1:
return myImgs0000[getImgIndexN(index)];
break;
case 2:
return myImgs0001[getImgIndexN(index)];
break;
case 3:
return myImgs0000[getImgIndexN(index)];
break;
case 4:
return myImgs0002[getImgIndexN(index)];
break;
case 5:
return myImgs0001[getImgIndexN(index)];
break;
case 6:
return myImgs0002[getImgIndexN(index)];
break;
}
}

function changeImage1(index){
document.getElementById('img1').src=firstPair(index);
}

function changeImage2(index){
document.getElementById('img2').src=seconPair(index);
}

var myImgsNames={'_ids':['PL_018_007_U','PL_018_008_Z','PL_018_009_E','PL_018_012_W','PL_018_015_N','PX_018_025_G','PX_018_026_N','PX_018_027_T','PX_018_028_Y','PX_018_029_D','PX_018_032_V','PX_018_033_A','PX_018_034_F','PX_018_036_S','PX_018_037_X','PX_018_038_C','PX_018_040_P','PX_018_041_K','PX_018_042_R','PX_018_043_W','PX_018_044_B','PX_018_045_G','PX_018_046_N','PX_018_047_T','PX_018_048_Y','PX_018_049_D','PX_018_050_J','PX_018_051_Q','PX_018_052_V','PX_018_054_F','PX_018_055_M','PX_018_056_S','PX_018_057_X','PX_018_058_C','PX_018_059_H','PX_018_060_P','PX_018_061_K','PX_018_062_R','PX_018_063_W','PX_018_064_B','PX_018_065_G','PX_018_066_N','PX_018_067_T','PX_018_068_Y','PX_018_069_D'],'_methodsAll':['0000','0001','0002'],'_poses':['100'],'_renderLight':['00'],'_backColour':['a'],'_renderRes':['h']};

var myImgs0000=[];

var myImgs0001=[];

var myImgs0002=[];

var myInnerCounter=0;

for(i in myImgsNames._ids){
for(j in myImgsNames._poses){
for(k in myImgsNames._renderLight){
for(l in myImgsNames._backColour){
for(m in myImgsNames._renderRes){
myInnerCounter+=1;
myImgs0000.push('fakeimages/'+myImgsNames._ids[i]+'_'+myImgsNames._methodsAll[0]+'_'+myImgsNames._poses[j]+'_'+myImgsNames._renderLight[k]+'_'+myImgsNames._backColour[l]+'_'+myImgsNames._renderRes[m]+'.png');
myImgs0001.push('fakeimages/'+myImgsNames._ids[i]+'_'+myImgsNames._methodsAll[1]+'_'+myImgsNames._poses[j]+'_'+myImgsNames._renderLight[k]+'_'+myImgsNames._backColour[l]+'_'+myImgsNames._renderRes[m]+'.png');
myImgs0002.push('fakeimages/'+myImgsNames._ids[i]+'_'+myImgsNames._methodsAll[2]+'_'+myImgsNames._poses[j]+'_'+myImgsNames._renderLight[k]+'_'+myImgsNames._backColour[l]+'_'+myImgsNames._renderRes[m]+'.png');
}
}
}
}
}

function updateCounter1(){
setClickCount1(getClickCount1()+1);
}

function updateCounter2(){
setClickCount2(getClickCount2()+1);
}

function updateCounter3(){
setClickCount3(getClickCount3()+1);
}

function onuserapproval(){
document.getElementById('img2').className='ImageBorder2';
document.getElementById('img1').className='ImageBorder1';
document.getElementById('rectangle1').className='myrectangleO';
switch(getBinPos()){
case 0:
updateCounter1();
updateBar();
enrollanswer();
break;
case 1:
updateCounter2();
updateBar();
enrollanswer();
break;
case 2:
updateCounter3();
updateBar();
enrollanswer();
break;
}
document.getElementById('rectangle').className='myrectangle';
document.getElementById('rectangle').innerHTML='select the most realistic image';
setBinPos(99);
if(getClickCount()<getNumberOfImgs()){
changeImage1(getClickCount());
changeImage2(getClickCount());
}
else{
document.write('<p>thanks for the time spent</p>');
download('test.txt',getMyListOut());
}
}

function clickCounter1(){
document.getElementById('img1').className='ImageBorder1Clicked';
document.getElementById('img2').className='ImageBorder2';
document.getElementById('rectangle').className='myrectangleClicked';
document.getElementById('rectangle').innerHTML='confirm selection';
document.getElementById('rectangle1').className='myrectangleO';
setBinPos(0);
}

function clickCounter2(){
document.getElementById('img2').className='ImageBorder2Clicked';
document.getElementById('img1').className='ImageBorder1';
document.getElementById('rectangle').className='myrectangleClicked';
document.getElementById('rectangle').innerHTML='confirm selection';
document.getElementById('rectangle1').className='myrectangleO';
setBinPos(1);
}

function clickCounter3(){
document.getElementById('img2').className='ImageBorder2';
document.getElementById('img1').className='ImageBorder1';
document.getElementById('rectangle').className='myrectangleClicked';
document.getElementById('rectangle1').className='myrectangleOClicked';
document.getElementById('rectangle').innerHTML='confirm selection';
setBinPos(2);
}

function checkUser(aName){
for (probeName in lisOfUsers){
if (aName==lisOfUsers[probeName]){
return true;
}
}
return false;
}

function mySetup(){
document.getElementById('myId').innerHTML='ID|'+getMyId();
knownUser=checkUser(givenName);
if (knownUser){
alert('hello');
startCounters();
changeImage1(getClickCount());
changeImage2(getClickCount());
updateBar();
}
else{
changeImage1(0);
changeImage2(0);
resetFilestorage();
}
}
</script>
<div id='myId'class='templog'unselectable='on'></div>
<br>
<div class='row'unselectable='on'>
<div id='img1Holder'class='item'unselectable='on'>
<img id='img1'src=''onclick='clickCounter1()'draggable='false'class='ImageBorder1'unselectable='on'/>
</div>
<div id='img2Holder'class='item'unselectable='on'>
<img id='img2'src=''onclick='clickCounter2()'draggable='false'class='ImageBorder2'unselectable='on'/>
</div>
</div>
<div class='row'unselectable='on'>
<div id='img3Holder'class='item'unselectable='on'>
<div id='rectangle1'unselectable='on'class='myrectangleO'onclick='clickCounter3()'>both</div>
</div>
</div>
<br>
<div id='rectangle'unselectable='on'class='myrectangle'onclick='onuserapproval()'>select the most realistic image</div>
<br>
<div id='myProgress'unselectable='on'>
<div id='myBar'unselectable='on'>
0%
</div>
</div>
</body>
